REM TG.BAT allows GIF files in chosen directory to be transmitted in any
REM SSTV format. Only GIF's 640x480 or smaller work with the enclosed
REM Alchemy version (read ALCHEMY.DOC).
gwbasic pickfile
REM Use PICKFILE.BAS to select a GIF file in the chosen directory,and
REM exit a copy of it to the current directory as a.gif.
alchemy -t0 -24 -o -X640 -Y480 a.gif a.tif
REM Convert a.gif to a zero compressed tif (-t0) file with 24 color bits and
REM 640x480 pixel size and name it a.tif. Overwrite (-o) any existing a.tif.
del a.gif    REM Delete a.gif as no longer needed.
gwbasic alchconv
REM ALCHCONV.BAS is a modified TIFCONV which accepts a.tif in 640x480 form
REM and outputs a TV file, a.p, and the chosen mode number to ALCHVT.BAS.
del a.tif    REM Delete a.tif as no longer needed.
gwbasic alchvt
REM ALCHVT.BAS is a modified version of VT.BAS which accepts a.p and the
REM mode number and sets up to view and transmit. We don't delete a.p so
REM you can copy it later as a named TV file; ie, so TG can be used as a
REM program for converting from GIF to TV formats if desired.

